/**
 * @author tpa
 * @date 25/08/2023
 * @version 1.0.0
 * @project SIEau
 * @table codes_sandre
 */

# --- !Ups
DELETE FROM CODES_SANDRE WHERE champ = 'REFS_PIVEAU';
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 1,'Code station', 'STQ.2', 'Si cette information n’est pas présente, le code station est recherché dans l’information ALQ[3]. Si elle n’est pas trouvée, la ligne ne sera pas traitée.\nSi le code station ne commence pas par 0, un 0 sera automatiquement ajouté');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 2,'Nom station', 'STQ.3', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 3,'Finalité', 'STQ.4', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 4,'Coord X', 'STQ.11', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 5,'Coord Y', 'STQ.12', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 1005,'Projection', 'STQ.13', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 6,'Date création', 'STQ.22', 'Utilisé également pour les dates de début et de fin d’appartenance au réseau si celui-ci est renseigné');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 7,'Date arrêt', 'STQ.23', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 8,'Commentaires', 'STQ.25', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 9,'Numéro de la commune', 'STQ.26', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 10,'Libellé de la commune', 'STQ.100', 'Cette information n’est lue que si le code commune est également présent');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 11,'Code Sandre de la masse d’eau', 'STQ.101', 'Si la masse d’eau n’est pas présente, elle sera automatiquement créée avec un libellé formaté < code masse d’eau >');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 12,'Code Sandre du réseau', 'STQ.102', 'Si le réseau n’est pas présent, il sera automatiquement créé avec un libellé formaté < code réseau >');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 13,'Libellé de la masse d’eau', 'STQ.103', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 14,'Code du type FR', 'STQ.104', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 15,'Code Sandre du type FR', 'STQ.105', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 16,'Rivière', 'STQ.106', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 17,'Rang Strahler', 'STQ.107', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 18,'Valeur du rang de strahler', 'STQ.108', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 19,'Her niveau1', 'STQ.109', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 20,'Her niveau2', 'STQ.110', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 21,'Code du bassin versant', 'STQ.111', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 22,'Code du bassin versant niveau 2', 'STQ.112', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 23,'Code du bassin versant niveau 3', 'STQ.113', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 24,'Code du bassin versant niveau 4', 'STQ.114', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 25,'Superficie du bassin versant', 'STQ.115', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 26,'Canal', 'STQ.116', '1 si Oui, 0 si non');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 27,'Autre coordonnée X', 'STQ.117', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 28,'Autre coordonnée Y', 'STQ.118', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 29,'Autre projection', 'STQ.119', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 30,'Contexte piscicole', 'STQ.120', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 31,'Type station', 'STQ.121', '[0] eau souterraine, [1] Cours d’eau, [2] Plan d’eau, [3] Grand Cours d’eau, [4] Milieu marin, [5] Autre cours d’eau et ravine, [6] Source');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 32,'Code Pays', 'STQ.122', 'Code iso du pays : FR France');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 33,'Code du type d’installation', 'STQ.123', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 34,'Libellé du type d’installation', 'STQ.124', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 35,'Codification de la station', 'STQ.125', 'La station est recherchée dans les références de l’intervenant. Si la station n’est pas trouvée, la ligne ne sera pas traitée.');



INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 36,'Date début opération', 'OPP.3', 'Si non présente, la date de prélèvement (PRL[8])sera utilisée et à défaut la date d’analyse (ALQ[10])sera recherchée pour être utilisée comme date de début d’opération.\nSi une date n’est pas trouvée, l’opération et l’analyse correspondante ne seront pas intégrées.');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 37,'Heure début opération', 'OPP.4', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 38,'Commentaires', 'OPP.7', '');



INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 39,'Réf. chez le producteur', 'PRL.2', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 40,'Date début prélèvement', 'PRL.8', 'Si non présente, la date d’opération(OPP[3]) sera utilisée et à défaut la date d’analyse (ALQ[10]) sera recherchée pour être utilisée comme date de prélèvement. Si une date n’est pas trouvée, l’opération et l’analyse correspondante ne seront pas intégrées.');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 41,'Heure début prélèvement', 'PRL.9', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 42,'Code site de mesure', 'PRL.14', '1. S''il existe déjà des sites pour cette station, le prélèvement est rattaché au premier site correspondant au support du prélèvement.\n2. S''il n''existe pas de site pour le support prélevé ou si le site n''est pas dans la base de données, un site correspondant au support est créé.');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 43,'Code support', 'PRL.15', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 44,'Code préleveur', 'PRL.19', 'Si non présent, ce code sera récupéré dans l’analyse (ALQ[26])');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 45,'Profondeur recommandée', 'PRL.100', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 46,'Zone verticale de prelèvement', 'PRL.101', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 47,'Accréditation', 'PRL.102', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 48,'Code Producteur', 'PRL.103', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 49,'Code déterminateur', 'PRL.04', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 50,'Code statut', 'PRL.105', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 51,'Code qualification', 'PRL.106', '');


INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 52,'Code station', 'ALQ.3', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 53,'Code producteur', 'ALQ.8', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 54,'Code paramètre', 'ALQ.9', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 55,'Date analyse', 'ALQ.10', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 56,'Heure analyse', 'ALQ.11', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 57,'Résultat analyse', 'ALQ.12', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 58,'Code remarque', 'ALQ.13', 'Les signes < et > sont automatiquement convertis en code remarque 10 et 3');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 59,'Lieu analyse', 'ALQ.14', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 60,'Difficultés analyse', 'ALQ.15', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 61,'Commentaire sur analyse', 'ALQ.16', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 62,'Commentaire sur résultat', 'ALQ.17', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 63,'Etat du résultat', 'ALQ.18', '(équivalent au statut) Si la valeur est : \n - BRUTE alors statut=1, qualification=4 \n - CORRECTE alors statut=2, qualification=1\n- INCORRECTE alors statut=2, qualification=2\n- INCERTAINE alors statut=2, qualification=3');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 64,'Code du laboratoire', 'ALQ.19', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 65,'Code méthode', 'ALQ.20', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 66,'Code fraction', 'ALQ.22', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 67,'Num. ordre analyse', 'ALQ.23', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 68,'Code laboratoire', 'ALQ.24', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 69,'Code préleveur', 'ALQ.26', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 70,'Unité de mesure', 'ALQ.27', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 71,'Accréditation', 'ALQ.28', 'OUI ou NON, ou encore 1 si oui, 0 si faux');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 72,'Code qualification', 'ALQ.29', 'Si l’état n’est pas renseigné, alors le code qualification sera utilisé et fixera le code état en conséquence.\nSi aucune valeur n’est trouvée, alors on recherche si un paramétrage par défaut est indiqué dans les options du logiciel.');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 73,'Limite de détection', 'ALQ.101', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 74,'Limite de quantification', 'ALQ.100', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 75,'Réseau de mesure', 'ALQ.102', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 76,'Date echantillon', 'ALQ.103', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 77,'Référence échantillon', 'ALQ.104', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 78,'Producteur echantillon', 'ALQ.105', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 79,'Incertitude', 'ALQ.106', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 80,'Rendement', 'ALQ.107', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 81,'Num dossier', 'ALQ.108', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 82,'Agrément', 'ALQ.109', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 83,'Nom méthode', 'ALQ.110', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 84,'Commentaire échantillon', 'ALQ.111', '');


INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 85,'Code Support', 'SUP.2', '');

INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 86,'Identifiant du point', 'POI.1', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 87,'Date Début', 'POI.2', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 88,'Date Fin', 'POI.3', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 89,'Longueur', 'POI.4', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 90,'Xamont', 'POI.5', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 91,'Yamont', 'POI.6', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 92,'Xaval', 'POI.7', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 93,'Yaval', 'POI.8', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 94,'Objet principal', 'POI.9', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 95,'Recommendation', 'POI.10', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 96,'Coordonnées X', 'POI.11', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 97,'Coordonnées Y', 'POI.12', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 98,'Type Projection', 'POI.13', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 99,'Profondeur recommandée', 'POI.14', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 100,'Commentaires', 'POI.15', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 101,'Largeur Débit', 'POI.16', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 102,'code du point', 'POI.17', '');

INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 103,'Code Sandre', 'RES.1', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 104,'Nom', 'RES.2', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 105,'Date début', 'RES.3', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 106,'Date fin', 'RES.4', '');

INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 107,'Siret de l’intervenant', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 108,'Raison sociale', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 109,'Code Sandre', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 110,'Date début', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 111,'Date fin', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 112,'Référence interne', 'INT.125', '');
INSERT INTO CODES_SANDRE ( Champ, Code, Libelle, codereference, commentaire) VALUES ('REFS_PIVEAU', 113,'Type organisme', 'INT.125', '');


# --- !Downs
